View Issue Details

IDProjectCategoryView StatusLast Update
0005947Kali Linux[All Projects] Tool Upgrade Requestpublic2019-12-26 10:38
Reporterkimocoder Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
Status confirmedResolutionopen 
Product Version2019.4 
Target VersionFixed in Version 
Summary0005947: [Debian Package] Need NodeJs v13.5 for a tool enhancement, v10.x in repo
DescriptionWould appreciate if you made NodeJs, latest one available.
Working on a tool where I need it as a important dependency.

Thanks

Activities

rhertzog

2019-12-26 10:34

administrator   ~0011760

Hi, nodejs is maintained by Debian, not by Kali: https://tracker.debian.org/pkg/nodejs

So you really should file this request to Debian.

But at this point the LTS version of nodejs is 12.x, Debian is likely to stick to LTS versions for better security support. That version is already available in Debian experimental, but I don't know when it will be uploaded to unstable (and thus testing and then Kali).

13.5 is a non-LTS version and as such, it will likely not be packaged, or only in experimental.

Issue History

Date Modified Username Field Change
2019-12-24 04:14 kimocoder New Issue
2019-12-24 04:14 kimocoder Status new => assigned
2019-12-24 04:14 kimocoder Assigned To => sbrun
2019-12-26 10:34 rhertzog Note Added: 0011760
2019-12-26 10:34 rhertzog Assigned To sbrun =>
2019-12-26 10:34 rhertzog Summary Need NodeJs v13.5 for a tool enhancement, v10.x in repo => [Debian Package] Need NodeJs v13.5 for a tool enhancement, v10.x in repo
2019-12-26 10:38 rhertzog Status assigned => confirmed
2021-05-31 13:37 rhertzog Category Tool Upgrade => Tool Upgrade Request